apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Values.initDbName }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "ska-low-mccs.labels" . | indent 4 }}
{{ if or (.Values.global.annotations) (.Values.annotations) }}
  annotations:
{{ toYaml (coalesce .Values.global.annotations .Values.annotations) | indent 4 }}
{{ end }}
data:
{{- $basepath := .Values.initDbBasePath }}
{{ range .Values.initDbScripts }}
  {{ . }}: |
{{- $filename := printf "%s%s" $basepath . }}
{{ ($.Files.Get $filename ) | indent 4}}
{{ end }}

    
